'POKEB800.BAS
'Demonstriert Auswirkung des Farbwertes (Attribut) im Textmodus
'Sprache: QBasic
'Autor: Roland Heer
'letzte nderung: 28.5.96

'Farbwert (Attribut) als Hex-Zahl:
'Low  Nibble = Vordergrund (0 ... 7 hex) + 8 hex = Hell (Fett)
'High Nibble = Hintergrund (0 ... 7 hex) + 8 hex = Blinken
'High Nibble + 10 hex = High Nibble + 0

DEFINT A-Z
VIEW PRINT
CLS
DEF SEG = &HB800                'Anfang des Video-RAM

FOR i = 0 TO 255 + 128
    j$ = HEX$(i MOD 16)         'Low Byte Low Nibble
    k$ = HEX$((i \ 16) MOD 16)  'Low Byte High Nibble
    l$ = HEX$((i \ 256) MOD 16) 'High Byte
    offs = 10 * i + 2
    POKE offs + 0, ASC(l$)      'Zeichen (ASCII)
    POKE offs + 2, ASC(k$)      '  "
    POKE offs + 4, ASC(j$)      '  "
    POKE offs + 1, i            'Farbe (Attribut)
    POKE offs + 3, i            '  "
    POKE offs + 5, i            '  "
NEXT i

DEF SEG
LOCATE 25, 1: PRINT " Hex-Zahl entspricht Farbwert (Attribut)";
SLEEP
SYSTEM

